ANSEL(1)

NOM
ansel - une application fournissant un flux de travail de traitement des photos numériques

SYNOPSIS
    ansel [options] [IMG_1234.{RAW,...}|répertoire_images/]

Options :

    --cachedir <user cache directory>
    --conf <key>=<value>
    --configdir <user config directory>
    -d {all,cache,camctl,camsupport,control,dev,fswatch,history,imageio,input,
        ioporder,lighttable,lua,masks,memory,nan,opencl,params,perf,pipe,
        pwstorage,print,signal,sql,undo}
    --datadir <data directory>
    --disable-opencl
    -h, --help
    --library <library file>
    --localedir <locale directory>
    --luacmd <lua command>
    --moduledir <module directory>
    --noiseprofiles <noiseprofiles json file>
    -t <num openmp threads>
    --tmpdir <tmp directory>
    --version

DESCRIPTION
ansel est une application fournissant un flux de travail pour le traitement des photos numériques sous Linux, Mac OS X et plusieurs autres Unix.

L'application est conçue pour faciliter l'édition et le traitement cohérent des grandes séances photo. Elle fournit une table lumineuse numérique facile à utiliser et un ensemble d'outils sophistiqués de post-traitement.

La plupart des traitements sont effectués en mode virgule flottante 32 bits dans l'espace colorimétrique CIE L*a*b* indépendant du périphérique. ansel gère aussi parfaitement la couleur, ce qui vous donne un contrôle total de l'apparence des photos.

L'application repose sur une architecture moderne de plugins rendant aisée l'extension des capacités existantes de l'application par des développeurs tiers. Toutes les fonctionnalités de la table lumineuse et de la chambre noire sont implémentées sous forme de plugins. Vous pouvez ainsi créer vos plugins en réutilisant le code existant. La plupart des actions spécifiques du flux de travail peuvent aussi être écrites dans un script Lua.

OPTIONS

IMG_1234.RAW ou répertoire_images/
    Vous pouvez optionnellement fournir le nom de fichier d'une image ou le nom d'un répertoire contenant des fichiers image. Si un nom de fichier est donné ansel démarre en mode chambre noire avec ce fichier ouvert. Si un répertoire est donné ansel démarre en mode table lumineuse avec le contenu de ce répertoire comme collection courante. Si une instance de ansel est déjà en cours d'exécution (utilisant la même bibliothèque) l'image ou le répertoire y sera ouvert, en utilisant D-Bus pour communiquer entre les deux processus.

--cachedir <répertoire cache>
    ansel conserve un cache de miniatures des images pour une prévisualisation rapide et un cache d'exécutables OpenCL pour un démarrage rapide. Par défaut les caches se trouve dans "$HOME/.cache/darktable/". Il peut y avoir plusieurs caches de miniatures en parallèle - un pour chaque fichier de bibliothèque.

--conf <clé>=<valeur>
    ansel offre un riche ensemble de paramètres de configuration que l'utilisateur définit dans "anselrc" - le fichier de configuration de ansel dans le répertoire de configuration de l'utilisateur. Avec cette option vous pouvez remplacer temporairement des réglages individuels - cependant ces réglages ne seront pas stockés dans "anselrc".

--configdir <répertoire de configuration>
    Cette option définit le répertoire où ansel stocke la configuration spécifique de l'utilisateur. L'emplacement par défaut est "$HOME/.config/darktable/".

-d <option de débogage>
    Cette option permet la sortie du débogage dans le terminal. Il y a plusieurs sous-systèmes dans ansel et le débogage de chacun d'eux peut être activé séparément.Vous pouvez utiliser cette option plusieurs fois si vous souhaitez des sorties de débogage pour plus d'un sous-système.

    Voici quelques unes de ces options de débogage :

    control
        Activer la file des tâches de débogage. Si vous redirigez la sortie de ansel vers controle.log et lancez ./tools/create_control_svg.sh controle.log, vous obtiendrez un controle.svg sympathique avec une visualisation du travail des fils d'exécution.

    cache
        Ceci vous donnera de nombreuses informations de débogage concernant le cache des miniatures du mode table lumineuse. Si ansel a été compilé en mode débogage, ceci vous dira à quel endroit du code un tampon particulier a été verrouillé pour la dernière fois.

    perf
        Utilisez ceci pour peaufiner la performance de vos modules de chambre noire. Il mesurera (mesure rdtsc) les temps d'exécution de tous les plugins et les affichera sur la sortie.

    all Active toutes les sorties de débogage. En général ceci n'est pas très utile.

--datadir <répertoire des données>
    This option defines the directory where ansel finds its runtime data. The default place depends on your installation. Typical places are "/opt/ansel/share/darktable/" and "/usr/share/darktable/".

--disable-opencl
    Empêcher ansel d'initialiser le sous-système OpenCL. Utilisez cette option en cas de plantage de ansel au démarrage dû à une implémentation défectueuse d'OpenCL.

-h, --help
    Montre les options de la ligne de commande et quitte.

--library <fichier de bibliothèque>
    Pour un accès rapide ansel conserve les informations de l'image dans une base de données sqlite. L'emplacement par défaut de ce fichier de base de données est "$HOME/.config/darktable/library.db". Vous pouvez donner un emplacement alternatif si, par exemple, vous souhaitez faire quelques expérimentations sans corrompre votre bibliothèque library.db originale. Vous pouvez aussi donner ":memory:" comme fichier de bibliothèque. Dans ce cas la base de données est conservée dans la mémoire du système - toutes les modifications seront détruites à la fin de l'exécution de ansel.

--localedir <répertoire des locales>
    The place where ansel finds its language specific text strings. The default place depends on your installation. Typical places are "/opt/ansel/share/locale/" and "/usr/share/locale/".

--luacmd <commande lua>
    Une chaîne de caractères contenant les commandes lua à exécuter après l'initialisation de lua. Ces commandes seront exécutées après celles de votre fichier "luarc".

    Si lua n'a pas été activé à la compilation, cette option sera acceptée mais sera sans effet.

--moduledir <répertoire des modules>
    ansel a une structure modulaire et organise ses modules sous forme de bibliothèques partagées à charger au cours de l'exécution. Avec cette option vous dites à ansel où il doit chercher ses bibliothèques partagées. L'emplacement par défaut dépend de votre installation ; "/opt/ansel/lib/darktable/" et "/usr/lib/darktable/" sont des emplacements typiques.

--noiseprofiles <fichier json des profils de bruit>
    ansel's profiled denoise module uses camera specific profile data that gets loaded from an external JSON file. With this option the file to be loaded can be changed to allow testing alternative profiles. The default profile file is "noiseprofiles.json" and is typically found in "/opt/ansel/share/darktable/" or "/usr/share/darktable/".

-t <num openmp threads>
    ansel utilise OpenMp pour paralléliser de nombreuses étapes du calcul et fait usage de tous les cœurs CPU disponibles. Avec cette option vous pouvez spécifier le nombre de fils d'exécution à utiliser.

--tmpdir <répertoire tmp>
    L'emplacement où ansel stocke ses fichiers temporaires. Si cette option n'est pas fournie ansel utilise le répertoire par défaut du système.

--version
    Montre qu'elle est la version de ansel ainsi que quelques options importantes de compilation et quitte.

RACCOURCIS CLAVIER PAR DÉFAUT
Tous les modes

l   Passer à la vue table lumineuse

d   Passer à la vue chambre noire

t   Passer à la vue capture

m   Passer à la vue carte

s   Passer à la vue diaporama

p   Passer à la vue impression

.   Basculer entre les vues table lumineuse et chambre noire

Ctrl-q
    Quitter

F11 Basculer entre les modes plein écran et normal de la fenêtre de l'application

Esc Quitter le mode plein écran

Ctrl-h
    Montrer/cacher l'entête

Tab Montrer/cacher les panneaux latéraux

Mode table lumineuse

g, Shift-g
    Naviguer vers la rangée du haut, du bas

PageUp, PageDown
    Naviguer une page vers le haut, vers le bas

'   Défiler vers le centre

Down, Left, Right, Up
    Défiler vers le bas, vers la gauche, vers la droite, vers le haut

z   Aperçu de l'image

Ctrl-z
    Aperçu de l'image avec détection du focus

F1, F2, F3, F4, F5
    Labels de couleurs : basculer en rouge, en jaune, en vert, en bleu et en violet

1, 2, 3, 4, 5
    Évaluation par étoiles

0   Enlever toutes le étoiles

r   Marquer comme rejeté

l   Réaligner les images sur la grille

Alt-1
    Zoomer la première image visible

Alt-2, 3
    Ajuster le zoom

Alt-4
    Dé-zoomer complètement

Ctrl-a
    Sélectionner toutes les images

Ctrl-Shift-a
    Désélectionner toutes les images

Ctrl-i
    Inverser la sélection

Ctrl-d
    Cloner l'image

Ctrl-g, Ctrl-Shift-g
    Grouper/dégrouper les images sélectionnées

Delete
    Supprimer l'image de la collection

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

Space
    Sélectionner/désélectionner une image

Return
    Sélectionner une image

Ctrl-e
    Exporter les images actuellement sélectionnées

Ctrl-k
    Retourner à la collection précédente

Ctrl-t
    Ouvrir une fenêtre contextuelle pour étiqueter rapidement une image

Ctrl-Shift-i
    Importer un répertoire

Ctrl-j
    Sauter à la pellicule d'une image

Mode chambre noire

Alt-1, 2, 3
    Zoomer à 1:1, remplir, ajuster, respectivement

Ctrl-f
    Montrer/cacher le bandeau

Space, Backspace
    Sauter à l'image suivante, précédente

Ctrl-e
    Exporter l'image courante

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

o   Basculer entre montrer les zones surexposées et sousexposées

Ctrl-g
    Activer/désactiver la vérification de gamut

Ctrl-s
    Activer/désactiver l'épreuvage

Enter
    Dans le module recadrer et pivoter, valider le recadrage

[, ]
    Dans le module rotation tourner de 90 degrés dans le sens anti-horaire, dans le sens horaire

<, >
    Lors du dessin d'un masque, diminuer, augmenter l'opacité du pinceau, respectivement

{, }
    Lors du dessin d'un masque,diminuer, augmenter la dureté du pinceau, respectivement

[, ]
    Lors du dessin d'un masque, diminuer, augmenter la taille du pinceau, respectivement

Mode capture

Ctrl-f
    Montrer/cacher le bandeau

v   Activer/désactiver la visée directe

Mode carte

Ctrl-f
    Montrer/cacher le bandeau

Ctrl-z
    Annuler

Ctrl-r
    Refaire

Bandeau (quand le curseur est en haut du bandeau)

F1, F2, F3, F4, F5
    Labels de couleurs : basculer en rouge, en jaune, en vert, en bleu et en violet

1, 2, 3, 4, 5
    Évaluation par étoiles

0   Enlever toutes le étoiles

r   Marquer comme rejeté

Ctrl-d
    Cloner l'image

Ctrl-a
    Sélectionner toutes les images

Ctrl-Shift-a
    Désélectionner toutes les images

Ctrl-i
    Inverser la sélection

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

Mode diaporama

Space
    Démarrer/arrêter la lecture

VOIR AUSSI
ansel-cli(1)

AUTRES INFORMATIONS
Veuillez visiter le site web de ansel pour des nouvelles, un blog et un système de suivi des bogues : <http://www.darktable.org/>

<https://www.darktable.org/usermanual/> Le manuel utilisateur complet de ansel.

anselrc.html An overview over all default config settings. The default place depends on your installation. Typical places are "/opt/ansel/share/doc/darktable/" and "/usr/share/doc/darktable/".

SIGNALER DES BOGUES
Please use the bug tracker on <https://github.com/ansel-org/darktable/issues> to report bugs, feature requests and so on.

AUTEURS
Le principal développeur de ansel est Johannes Hanika. La liste, on l'espère complète, des contributeurs du projet est :

* developers: Pascal Obry johannes hanika Aurélien PIERRE Tobias Ellinghaus Roman Lebedev Henrik Andersson Ulrich Pegelow Aldric Renaudin Pascal de Bruijn Pedro Côrte-Real Jérémy Rosen parafin José Carlos García Sogo Edouard Gomez Stefan Schöfegger Simon Spannagel Peter Budai Alexandre Prokoudine Christian Tellefsen James C. McPherson * translators: Pascal Obry Ger Siemerink Jeronimo Pellegrini Michel Leblond EdgarLux Tobias Ellinghaus Richard Levitte johannes hanika Martin Straeten Henrik Andersson Timur Davletshin bartokk Alexandre Prokoudine tatica Olivier Tribout Simon Spannagel Victor Forsiuk Heiko Bauke Josep V. Moragues Thomas Pryds Matjaž Jeran Nicolas Auffray shlomi braitbart José Carlos Casimiro Matt Maguire Maurizio Paglia Aurélien PIERRE Jakub Filipowicz José Carlos García Sogo Ryo Shinozaki Ulrich Pegelow mepi0011 Báthory Péter Guillaume Marty Jérémy Rosen Milan Knížek Victor Lamoine Alynx Zhou Guilherme Brondani Torri Novy Sawai Kevin Vermassen Marcus Gama Pascal de Bruijn Serkan ÖNDER Dimitrios Psychogios Matteo Mardegan Tomasz Golinski vertama Dušan Kazik thisnamewasnottaken 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Mikko Ruohola Petr Stasiak Stephan Hoek Germano Massullo Philippe Weyland Anocha Yimsiriwattana Marko Vertainen Miloš Komarčević Nazarii Vitak Arch Ont Bernhard Federico Bruni Luca Zulberti Miroslav Fikar Nameless-J Song Li chrisaga lkarcz maruncz Besmir Godole Jacques Le Clerc Ragnar Wisloff Shlomi Alon-Braitbart Tianhao Chai bajdero darktable miroslavfikar mmardegan Alberto Caso Alejandro Criado-Pérez Antony Dovgal Bogusław Ciastek Cyril Richard DWXXX Daniele Giorgis Danilo Bargen Denis Dyakov Denny Biasiolli Diederik ter Rahe Edgar De la Luz František Šidák Gustav Ernberg Hanno Schwalm Jan Friedrich Jean-Luc Coulon (f5ibh) Julian J. M Laurent Guillier Magnus Claesson Marek Vančo MatteoVita Matthieu Moy Mattias Eriksson Michael Moese Michał Prędotka Mik- Pedro Côrte-Real PeterWem Ragnar Wisløff Robert Bieber Simon Raffeiner Tomasz Goliński Wiktor Nowak archont00 asmolero chri cotacot criadoperez igmerti jakubfi mrleemon parafin quovadit sbraitbart zerng07 Łukasz Karcz * contributors (at least 4 commits): Ralf Brown Dan Torop Diederik ter Rahe Philippe Weyland Hanno Schwalm Ger Siemerink Hubert Kowalski Michel Leblond Chris.Elston Jeronimo Pellegrini rawfiner Robert Bieber Nicolas Auffray Andreas Schneider EdgarLux Richard Levitte Heiko Bauke edgardoh Miloš Komarčević Victor Forsiuk Bill Ferguson Alynx Zhou Jean-Sébastien Pédron Martin Straeten Olivier Tribout Mark-64 Bruce Guenter Sakari Kapanen Timur Davletshin bartokk tatica Matthieu Moy Matthieu Volat Rostyslav Pidgornyi Chris Elston Josep V. Moragues Moritz Lipp Thomas Pryds Dennis Gnad Marco Carrarini José Carlos Casimiro Maurizio Paglia Matt Maguire Jakub Filipowicz Daniel Vogelbacher Guillaume Stutin GrahamByrnes David-Tillmann Schaefer Harold le Clément de Saint-Marcq Marco marcel wpferguson HansBull Kaminsky Andrey Matjaž Jeran shlomi braitbart Guilherme Brondani Torri Michal Babej mepi0011 Richard Wonka lhietal quovadit Antony Dovgal Jacques Le Clerc Milan Knížek Sam Smith Ryo Shinozaki Victor Lamoine Jiyone Novy Sawai Rikard Öxler Wolfgang Goetz darkelectron Báthory Péter Guillaume Marty Alexis Mousset Dimitrios Psychogios U-DESKTOP-HQME86Jmarco Vasyl Tretiakov Vincent THOMAS Brian Teague Frédéric Grollier lologor luzpaz Kevin Vermassen Marcus Gama Philipp Lutz Robert Bridge Andrew Toskin Germano Massullo Eckhart Pedersen Felipe Contreras Mikko Ruohola Asma Bernd Steinhauser JohnnyRun Kanstantsin Shautsou Martin Burri Serkan ÖNDER Tomasz Golinski Victor Engmark Wyatt Olson junkyardsparkle thisnamewasnottaken Arnaud TANGUY Benoit Brummer Fabio Heer Loic Guibert Paolo DePetrillo Žilvinas Žaltiena Dušan Kazik Jan Kundrát Jochen Schroeder Matteo Mardegan Petr Styblo Robert William Hutton Roman Khatko Stuart Henderson itinerarium luz paz vertama vrnhgd Ammon Riley Chris Hodapp David Bremner Gaspard Jankowiak Ivan Tarozzi Jim Robinson Marcello Mamino Marcus Rückert Richard Hughes calca elstoc 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Christian Himpel Denis Dyakov Dominik Markiewicz Guillaume Benny Harald Jesper Pedersen K. Adam Christensen Maximilian Trescher Petr Stasiak Pierre Lamot Sergey Pavlov Stephan Hoek Wolfgang Mader grand-piano piratenpanda solarer Alexander V. Smal Andrea Volpato August Schwerdfeger JP Verrue Johanes Schneider Karl Mikaelsson Luca Zulberti Matthias Gehre Matthias Vogelgesang Simon Legner Tianhao Chai Torsten Bronger matt-maguire Alban Gruin Alexander Clausen Anocha Yimsiriwattana Apfelkraut Bernhard Erik Gustavsson Federico Bruni Frank Loemker Jake Probst Joao Trindade Mario Lueder Marko Vertainen Nazarii Vitak Paolo Benvenuto Raphael Manfredi Ricky Moon Ronny Kahl Stéphane Gourichon Togan Muftuoglu Tom Vijlbrief Will Bennett hal maruncz sjjh * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Klaus Post Pedro Côrte-Real Miloš Komarčević Axel Waggershauser Stefan Schöfegger Pascal de Bruijn Jordan Neumeyer Anders Brander Robert Bridge Stefan Löffler Pascal Obry Stefan Hoffmeister parafin Dan Torop Georg Lukas Thomas Baumann Daniel Vogelbacher Hanno Schwalm Matthieu Volat Philipp Lutz Tobias Ellinghaus Victor Forsiuk luz.paz Hubert Kowalski Louie Lu Virgile Bello bobobo1618 johannes hanika Bill Ferguson Howard Liberty Marko Toplak Martijn Courteaux Matt Maguire Nathaniel Watson Robert Bieber Yattaro al luz paz maruncz -cr Alex Tutubalin Andreas Schneider Artemis Tosini Bastian Bechtold Benjamin Erb David Korczynski David-Tillmann Schaefer Elizeu Santos Frank Loemker Georg Niedrist Jan Šmucr Jorge Nerín Josef Raschen Julien Nabet LibRaw LLC Marcel Bollmann Marco Caimi Marco Ristuccia Martin Straeten Massimo Paladin Matthias Gehre Michael Allman Michal Čihař Milos Komarcevic Omari Stephens Peter Budai PeterWem Philipp Normann Ryan Gillette Shita Yuuma Simon Raffeiner Sprite Tino H. Seifert Uwe Müssel Vasily Khoruzhick Zanhard aferrero2707 chrunchyjesus dllu frantic1048 helloqiu jas01 junkyardsparkle ponkotuy squid-f ubergeek801 Šarūnas Burdulis * Sub-module OpenCL contributors (at least 1 commit): Ben Ashbaugh James Price Kévin Petit Lee Howes Jakub Szuppe bashbaug Bartosz Sochacki Rob Elliott = Kevin Petit affie Richard Ruigrok Jeremy Kemp Kedar Patil neheb patilkedar Alexei Bourd Nagy-Egri Máté Ferenc Rosen Penev robquill takanokage Ewan Crawford John Plate Jon Leech Martin Kelly Umair Ahmed abestephens Alastair Murray Alex Bourd Brice Videau Einar Hov Khronos Group Webmaster Mikhail Lychkov Milkey Mouse Nuno Fachada Pierre Moreau Sreelakshmi Haridas Timmy Liu XZiar fodinabor oddhack pkubaj y-novikov * Sub-module libxcf contributors (at least 1 commit): Tobias Ellinghaus * Sub-module whereami contributors (at least 1 commit): Gregory Pakosz Jan Beich Ian Burgan Jean-Michaël Celerier Sergey Agievich Thomas Willems * Sub-module LibRaw contributors (at least 1 commit): Alex Tutubalin Iliah Borg lexa LibRaw LLC Alex Tutubalin, LibRaw LLC Jamie Pinheiro jabbervorx Joan Karadimov Miloš Komarčević Tim Harder Dirk Lemstra Gilles Caulier Luca Falavigna Mark Reid maslbl4 Aleks L Andreas K. Huettel (dilfridge) Daniel Kaneider Mario Emmenlauer Nuno Cruces Philip Ries Vincent Torri corec 龙俊良 Alex Alex Gaynor Alex Tutubalin @Mac Arkady Shapkin Artur Bernd Kuhls Daniel Martinez Daniel Rosser Dave Stevenson David C. Partridge Fabien Castan Fabrice Fontaine Haishan Zhong Heiko Becker John Hein Kevin Wojniak Pablo Sichert Paolo Barbolini Petr Minář Pino Toscano Přemysl Eric Janouch Rafael Sadowski Sam James Sam Whited TOMIKAWA Sotaro Thomas Petazzoni Tomi Aarnio Tracy Wadleigh Z. Liu iliah kapankov kmilos luz paz psykose robert hasson sashashura ssssota vladimirovich * Sub-module doxygen-awesome-css contributors (at least 1 commit): jothepro Johannes Krafft Markus Napp Andrea Pappacoda Andy Maloney Ayush Chamoli Bernd Riederer David Álvarez Rosa Eritque arcus Leger Charlie Liviu Ionescu Michael R. Crusoe Murillo Teixeira OkawaYusuke Thibaud Chupin Timo Koch Volker Enderlein William Roy patricklaf And all those of you that made previous releases possible

Ce manpage a été écrit par Alexandre Prokoudine <alexandre.prokoudine@gmail.com> et Richard Levitte <richard@levittr.org>. Des compléments ont été ajoutés par Tobias Ellinghaus <me@houz.org>.

HISTORIQUE
Le projet a été lancé au début de 2009 par Johannes Hanika pour combler un fossé (ou plutôt un trou noir) ; le manque sous Linux d'un outil fournissant un flux de travail pour le traitement des photos numériques.

COPYRIGHT ET LICENCE
Copyright (C) 2009-2017 par les Auteurs.

ansel est un logiciel libre ; vous pouvez le redistribuer ou le modifier selon les termes de la GPL v3 ou, à votre choix, selon les termes de toute autre version ultérieure.